/* code visuals */
.hljs {
  display: block;
  overflow-x: auto;
  padding: 0.5em;
  border-radius: 10px;
}

.hljs {
  background: #33333322;
  backdrop-filter: blur(1px);
}

.hljs, .hljs-subst {
  color: white;
}

/* theming */
.hljs-comment,
.hljs-quote {
    color: #555555;
}

.hljs-deletion,
.hljs-name,
.hljs-regexp,
.hljs-selector-class,
.hljs-selector-id,
.hljs-tag,
.hljs-template-variable,
.hljs-variable {
    color: #babaff
}

.hljs-built_in,
.hljs-builtin-name,
.hljs-link,
.hljs-literal,
.hljs-meta,
.hljs-number,
.hljs-params,
.hljs-type {
    color: #ff99ff
}

.hljs-attribute {
    color: #dddd22
}

.hljs-addition,
.hljs-bullet,
.hljs-string,
.hljs-symbol {
    color: #00ffff
}

.hljs-section,
.hljs-title {
    color: #dddd22
}

.hljs-keyword,
.hljs-selector-tag {
    color: #8888ff
}